<?php

/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2013 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once("modules/base/includes/users-xmlrpc.inc.php");
require_once("modules/davical/includes/davical-xmlrpc.inc.php");
require("localSidebar.php");
require("graph/navbar.inc.php");

$ldapUsers = get_users(true);

function formatUsername($user) {
    if ($user['givenName'] != $user['uid'])
        return $user['givenName'] . " " . $user['sn'] . " (" . $user['uid'] . ")";
    else
        return $user['uid'];
}

if (isset($_POST["bvalidate"])) {
    $acls = array("default" => $_POST["default"]);
    $calendar = $_POST["calendar"];
    foreach($_POST["rw_users"] as $user)
        if ($user)
            $acls[$user] = "rw";
    foreach($_POST["ro_users"] as $user)
        if ($user && !isset($acls[$user]))
            $acls[$user] = "ro";
    foreach($_POST["no_users"] as $user)
        if ($user && !isset($acls[$user]))
            $acls[$user] = "";
    foreach($ldapUsers as $ldapUser)
        if (isset($ldapUser["mail"]) && $ldapUser["mail"] && !array_key_exists($ldapUser["mail"], $acls))
            $acls[$ldapUser["mail"]] = "revoke";
    setCalendarACL($calendar, $acls);
    if (!isXMLRPCError()) {
        new NotifyWidgetSuccess(sprintf(_T("ACLs successfully applied to calendar %s", "davical"),
                $calendar));
        redirectTo(urlStrRedirect("davical/davical/acl_users", array("calendar" => urlencode($calendar))));
    }
} else {
    $calendar = urldecode($_GET["calendar"]);
}

$p = new PageGenerator(sprintf(_T("Users ACLs for calendar %s", "davical"), $calendar));
$sidemenu->forceActiveItem('list');
$p->setSideMenu($sidemenu);
$p->display();

$acls = getCalendarACL($calendar);

$f = new ValidatingForm();
$f->push(new Table());

$default = new RadioTpl("default");
$default->setChoices(array(_T("No access", "davical"), _T("Read access", "davical"), _T("Read/write access", "davical")));
$default->setValues(array("", "ro", "rw"));
$default->setSelected($acls["default"]);
$f->add(new TrFormElement((_T("Default ACLs for authenticated users", "davical")), $default));

$selectedUsers = array("rw" => array(), "ro" => array(), "no" => array());
$availableUsers = array();
foreach ($ldapUsers as $key => $ldapUser){
    if ($ldapUser["mail"] == null)
        continue;
    else if (array_key_exists($ldapUser["mail"], $acls)) {
        foreach ($acls as $key => $acl) {
            if ($key == $ldapUser["mail"]) {
                if ($acl == "") $acl = "no";
                $selectedUsers[$acl][$ldapUser["mail"]] = formatUsername($ldapUser);
                break;
            }
        }
    }
    else {
        $availableUsers[$ldapUser["mail"]] = formatUsername($ldapUser);
    }
}

$usersTpl = new MembersTpl("rw_users");
$usersTpl->setTitle(_("Selected users"), _("Available users"));
$f->add(
    new TrFormElement(_("Read/write access"), $usersTpl),
    array("member" => $selectedUsers["rw"], "available" => $availableUsers)
);

$usersTpl = new MembersTpl("ro_users");
$usersTpl->setTitle(_("Selected users"), _("Available users"));
$f->add(
    new TrFormElement(_("Read access"), $usersTpl),
    array("member" => $selectedUsers["ro"], "available" => $availableUsers)
);

$usersTpl = new MembersTpl("no_users");
$usersTpl->setTitle(_("Selected users"), _("Available users"));
$f->add(
    new TrFormElement(_("No access"), $usersTpl),
    array("member" => $selectedUsers["no"], "available" => $availableUsers)
);

$f->pop();
$f->add(new HiddenTpl("calendar"), array("value" => $calendar, "hide" => True));
$f->addValidateButton("bvalidate");
$f->display();

?>
