<?php
/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2013 Mandriva, http://www.mandriva.com/
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

require_once("modules/davical/includes/davical-xmlrpc.inc.php");

$calName = "";
$calDesc = "";

if (isset($_POST["bcreate"])) {
    $calName = $_POST["calName"];
    $calDesc = $_POST["calDesc"];

    if (!(preg_match("/^[a-zA-Z][a-zA-Z0-9]*$/", $calName))) {
        new NotifyWidgetFailure(sprintf(_T("Invalid calendar name: %s"), $calName));
    }
    else {
        addCalendar($calName, $calDesc);
        if (!isXMLRPCError()) {
            new NotifyWidgetSuccess(sprintf(_T("Calendar %s successfully created"), $calName));
            redirectTo(urlStrRedirect("davical/davical/list"));
        }
    }
}

require("localSidebar.php");
require("graph/navbar.inc.php");

$p = new PageGenerator(_T("Add calendar"));
$p->setSideMenu($sidemenu);
$p->display();

$m = new Message(_T("The calendar name can only contains letters (lowercase and uppercase) and numbers, and must begin with a letter.", "davical"));
$m->display();

$f = new ValidatingForm();
$f->push(new Table());

$f->add(
        new TrFormElement(_T("Name"), new InputTpl("calName")),
        array("value" => $calName)
);

$f->add(
        new TrFormElement(_T("Description"), new InputTpl("calDesc")),
        array("value" => $calDesc)
);

$f->pop();
$f->addValidateButton("bcreate");
$f->display();

?>
