<?php

/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2013 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once("davical-xmlrpc.inc.php");
require_once("widgets.inc.php");

function _davical_baseEdit($FH, $mode) {
    $mail = $FH->getArrayOrPostValue("mail");
    if ($mail) {
        $calendars = getCalendarsForUser($mail);
        if (count($calendars) > 0) {
            $f = new DivForModule(_T("User calendars", "davical"), "#E9F7F2");
            $f->push(new Table());
            foreach ($calendars as $cal) {
                $path = urldecode($cal[0]);
                $name = $cal[1] ? $cal[1] : _T("Calendar", "davical");
                $f->add(
                    new TrFormElement($name, new LinkTpl("davical_" . $name)),
                    array("value" => "https://" . $_SERVER['SERVER_NAME'] . $path)
                );
            }
            $f->pop();
            return $f;
        }
    }

    return new Div();
}

?>
