<?php

/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2013 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * davical module declaration
 */

include('modules/davical/includes/davical-xmlrpc.inc.php');

$mod = new Module("davical");
$mod->setVersion("0.6.2");
$mod->setRevision('');
$mod->setDescription(_T("Calendar management", "davical"));
$mod->setAPIVersion("0:0:0");
$mod->setPriority(300);

$submod = new SubModule("davical", _T("Calendar", "davical"));
$submod->setDefaultPage("davical/davical/list");
$submod->setImg('modules/davical/graph/navbar/davical');
$submod->setPriority(60);

/* Add the page to the module */
$page = new Page("list", _T("Calendars list", "davical"));
$submod->addPage($page);

$page = new Page("add", _T("Add calendar", "davical"));
$submod->addPage($page);

$page = new Page("acl_users", _T("Calendar users", "davical"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);

$page = new Page("acl_groups", _T("Calendar groups", "davical"));
$page->setOptions(array("visible" => False));
$submod->addPage($page);

$page = new Page("delete");
$page->setOptions(array("visible" => False, "AJAX" => True));
$submod->addPage($page);

$mod->addSubmod($submod);

$MMCApp =& MMCApp::getInstance();
$MMCApp->addModule($mod);

?>
